tigase.auth.credentials

## Interface Credentials

- All Known Implementing Classes:
    AuthRepository.DefaultCredentials, AuthRepository.SingleCredential

      public interface Credentials

  Interface implemented by classes handling user login credentials. In implementations of this interface multiple credentials for single account may be stored but for single username, ie. different credentials for different authentication mechanisms.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `Credentials.Decoder` Interface implemented by credentials decoder converting from value stored in database to the form represented by implementation of Entry interface.
    `static interface` | `Credentials.Encoder` Interface implemented by credentials encoder converting them from plaintext value to encoded form stored in the database.
    `static interface` | `Credentials.Entry` Interface required to be implemented by classes representing credential entry.
    `static interface` | `Credentials.RawEntry` Interface implemented by classes used as DTO for credentials read from repository.s

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DEFAULT_USERNAME`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Credentials.Entry` | `getEntryForMechanism(String mechanism)` Find a credential for specified mechanism
    `Credentials.Entry` | `getFirst()` Returns first available instance of credentials entry
    `BareJID` | `getUser()` Returns bare jid of an account
    `boolean` | `isAccountDisabled()` Checks if account is disabled

- - ### Field Detail

    - #### DEFAULT_USERNAME

          static final String DEFAULT_USERNAME

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getUser

          BareJID getUser()

      Returns bare jid of an account
      Returns:
        bare jid of an account

    - #### isAccountDisabled

          boolean isAccountDisabled()

      Checks if account is disabled

    - #### getEntryForMechanism

          Credentials.Entry getEntryForMechanism(String mechanism)

      Find a credential for specified mechanism
      Returns:
        instance of an entry if available or null

    - #### getFirst

          Credentials.Entry getFirst()

      Returns first available instance of credentials entry
      Returns:
        first available instance of credentials entry

Copyright © 2004–2019 "Tigase, Inc.". All rights reserved.